net.corda.core.schemas.requery

## Interface Requery.PersistentState

- Enclosing class:
    Requery

      public static Requery.PersistentState

  A super class for all mapped states exported to a schema that ensures the `class StateRef` appears on the database row. The `class StateRef` will be set to the correct value by the framework (there's no need to set during mapping generation by the state itself).

  See Also:
    `class StateRef`, `class StateRef`

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIndex()`
    `java.lang.String` | `getTxId()`
    `void` | `setIndex(int p)`
    `void` | `setTxId(java.lang.String p)`

- - ### Method Detail

    - #### getTxId

          java.lang.String getTxId()

    - #### setTxId

          void setTxId(java.lang.String p)

    - #### getIndex

          int getIndex()

    - #### setIndex

          void setIndex(int p)